VERSION 5.00
Begin VB.Form frmBorderMovable 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   2415
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   3615
   Icon            =   "BorderMovable.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2415
   ScaleWidth      =   3615
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdCancel 
      Height          =   375
      Left            =   1920
      TabIndex        =   2
      Top             =   1920
      Width           =   1575
   End
   Begin VB.CommandButton cmdOK 
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   1920
      Width           =   1575
   End
   Begin VB.Frame frmBrdr 
      Height          =   1695
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3375
      Begin VB.CheckBox chkAll 
         Height          =   375
         Left            =   120
         TabIndex        =   6
         Top             =   1200
         Width           =   3135
      End
      Begin VB.CheckBox chkRoundRect 
         Height          =   255
         Left            =   120
         TabIndex        =   5
         Top             =   840
         Width           =   3135
      End
      Begin VB.CommandButton cmdColor 
         BackColor       =   &H00FFFFFF&
         Height          =   315
         Left            =   2880
         Style           =   1  'Graphical
         TabIndex        =   4
         Top             =   360
         Width           =   375
      End
      Begin VB.ComboBox cmbWidth 
         Height          =   315
         Left            =   120
         Style           =   2  'Dropdown List
         TabIndex        =   3
         Top             =   360
         Width           =   2655
      End
   End
End
Attribute VB_Name = "frmBorderMovable"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Sub Form_Load()
10:  On Error GoTo Error_Handler
20:  If sPartner <> "asadventure" And sPartner <> "fotek" Then Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon32.ico")
30:  Me.Caption = frmBorder_Caption1
40:  frmBrdr.Caption = frmBorder_frmBrdr_Caption
50:  chkRoundRect.Caption = frmBorder_chkRoundRect_Caption
60:  chkAll.Caption = frmColor_chkAll_Caption
70:  cmdOK.Caption = frmBorder_cmdOK_Caption
80:  cmdCancel.Caption = frmBorder_cmdCancel_Caption
90:  cmbWidth.ToolTipText = frmBorder_cmbWidth_ToolTipText
100:  cmdColor.ToolTipText = frmBorder_cmdColor_ToolTipText
110:  cmbWidth.Clear
120:  cmbWidth.AddItem sNone
130:  cmbWidth.AddItem "0.5 mm (" & sThickness & ")"
140:  cmbWidth.AddItem "1.0 mm (" & sThickness & ")"
150:  cmbWidth.AddItem "2.0 mm (" & sThickness & ")"
160:  Dim oElem As MSXML.IXMLDOMElement
170:  For Each oElem In oDOMAlbum.documentElement.childNodes(iPage - 1).childNodes
180:    If oElem.baseName = "MOVABLE_TEXT" Then Exit For
190:  Next
200:  cmbWidth.Text = IIf(oElem.getAttribute("BORDERWIDTH") = vbNullString Or oElem.getAttribute("BORDERWIDTH") = "0.0", sNone, oElem.getAttribute("BORDERWIDTH") & " mm (" & sThickness & ")")
210:  If oElem.getAttribute("BORDERCOLOR") <> vbNullString Then cmdColor.BackColor = RGB2VB(oElem.getAttribute("BORDERCOLOR"))
220:  If oElem.getAttribute("ROUNDRECT") = "1" Then chkRoundRect.Value = 1
230:  Set oElem = Nothing
240:  Exit Sub
Error_Handler:
  HandleError Err, "frmBorderMovable:Form_Load", Erl
250:  Resume Next
End Sub
Public Sub Busy()
260:  On Error GoTo Error_Handler
270:  Screen.MousePointer = vbHourglass
280:  cmbWidth.Enabled = False
290:  cmdColor.Enabled = False
300:  chkRoundRect.Enabled = False
310:  chkAll.Enabled = False
320:  cmdOK.Enabled = False
330:  cmdCancel.Enabled = False
340:  Exit Sub
Error_Handler:
  HandleError Err, "frmBorderMovable:Busy", Erl
350:  Resume Next
End Sub
Public Sub NotBusy()
360:  On Error GoTo Error_Handler
370:  cmbWidth.Enabled = True
380:  cmdColor.Enabled = True
390:  chkRoundRect.Enabled = True
400:  chkAll.Enabled = True
410:  cmdOK.Enabled = True
420:  cmdCancel.Enabled = True
430:  Screen.MousePointer = vbDefault
440:  Exit Sub
Error_Handler:
  HandleError Err, "frmBorderMovable:NotBusy", Erl
450:  Resume Next
End Sub
Private Sub cmdColor_Click()
460:  On Error GoTo Error_Handler
470:    Dim lColor As Long
480:    ColorPicker.InitialColor = cmdColor.BackColor
490:    lColor = ColorPicker.ShowPicker(Me.hWnd)
500:    If lColor <> cmdColor.BackColor And ExtractR(lColor) >= 0 And ExtractR(lColor) < 256 And ExtractG(lColor) >= 0 And ExtractG(lColor) < 256 And ExtractB(lColor) >= 0 And ExtractB(lColor) < 256 Then cmdColor.BackColor = lColor
510:  Exit Sub
Error_Handler:
  HandleError Err, "frmBorderMovable:cmdColor_Click", Erl
520:  Resume Next
End Sub
Private Sub cmdCancel_Click()
530:  On Error GoTo Error_Handler
540:  UnloadObject Me
550:  Exit Sub
Error_Handler:
  HandleError Err, "frmBorderMovable:cmdCancel_Click", Erl
560:  Resume Next
End Sub
Private Sub cmdOK_Click()
570:  On Error GoTo Error_Handler
580:  Busy
590:  frmPixbook.PushStack
600:  Me.Hide 'To prevent wrong CaptureWindow in SaveThumb
610:  Dim oElem As MSXML.IXMLDOMElement
620:  If chkAll.Value = 0 Then
630:    For Each oElem In oDOMAlbum.documentElement.childNodes(iPage - 1).childNodes
640:      If oElem.baseName = "MOVABLE_TEXT" Then Exit For
650:    Next
660:    If cmbWidth.Text = sNone Then
670:      oElem.setAttribute "BORDERCOLOR", vbNullString
680:      oElem.setAttribute "BORDERWIDTH", "0.0"
690:    Else
700:      oElem.setAttribute "BORDERCOLOR", VB2RGB(cmdColor.BackColor)
710:      oElem.setAttribute "BORDERWIDTH", Left(cmbWidth.Text, 3)
720:    End If
730:    oElem.setAttribute "ROUNDRECT", chkRoundRect.Value
740:  Else
750:    Dim oPage As MSXML.IXMLDOMElement
760:    For Each oPage In oDOMAlbum.documentElement.childNodes
770:      For Each oElem In oPage.childNodes
780:        If oElem.baseName = "MOVABLE_TEXT" Then
790:          If cmbWidth.Text = sNone Then
800:            oElem.setAttribute "BORDERCOLOR", vbNullString
810:            oElem.setAttribute "BORDERWIDTH", "0.0"
820:          Else
830:            oElem.setAttribute "BORDERCOLOR", VB2RGB(cmdColor.BackColor)
840:            oElem.setAttribute "BORDERWIDTH", Left(cmbWidth.Text, 3)
850:          End If
860:          oElem.setAttribute "ROUNDRECT", chkRoundRect.Value
870:        End If
880:      Next
890:      If CInt(oPage.getAttribute("NR")) <> iPage Then
900:        CreatePage oPage, True
910:        SaveThumb CInt(oPage.getAttribute("NR"))
920:      End If
930:    Next
940:    Set oPage = Nothing
950:  End If
960:  frmPixbook.UnloadPage iPage
970:  CreatePage oDOMAlbum.documentElement.childNodes(iPage - 1), False
980:  frmPixbook.DOMChanged
990:  Set oElem = Nothing
1000:  NotBusy
1010:  UnloadObject Me
1020:  Exit Sub
Error_Handler:
  HandleError Err, "frmBorderMovable:cmdOK_Click", Erl
1030:  Resume Next
End Sub
